<?php
/**
 * InnoMobile Customized WordPress Classes and Functions
 */

namespace InnoMobile;

if ( !class_exists( '\InnoMobile\Helper') ) :
    class Helper {
        public static function init() {
            add_action('admin_enqueue_scripts', array('\InnoMobile\Helper','enqueue_scripts'));
        }

        /**
         * Enqueue Scripts and Styles
         */
        public static function enqueue_scripts() {   
            if (!wp_style_is( 'font-awesome', 'enqueued' ) ) {
                wp_enqueue_style('font-awesome', plugin_dir_url( __FILE__ )  . 'css/font-awesome.min.css', '', '4.7.0', 'all');
            }
            
        }
    }
    
    Helper::init();

    include_once("classes/class-functions.php");
    include_once("classes/class-dashboard-widget.php");
    include_once("classes/class-admin-notice.php");
    include_once("classes/class-meta-box.php");

endif;